; (function ($) {
var defaults = {
dir: "left", //none:不动,up:上,right:右,down:下,right:左
delay: 30,//执行时间
};
$.fn.gysContentDisplay = function (opt) {
opt = $.extend({}, defaults, opt);

//全局变量区域
var obj = $(this); //当前对象
obj.css({ "overflow": "hidden" }); //初始化元素
if (opt.dir == "none") return;
var objLis = obj.children(); //对象中的子元素
objLis.css({ "overflow": "hidden" });
var objSize = 0; //外框尺寸
var scrollEvent = "scrollLeft"; //滚动条的滚动方向
var liTotalSize = 0, liTotalSizeOther = 0; //每个li元素的尺寸(宽或者高),克隆之后的总尺寸
var scrollSize = 0, //滚动条的实际距离
scrollSizeMax = 0, //滚动条的最大距离
scrollSizeMin = 0; //滚动条的最小距离
var interval = ""; //记录setInterval

if (opt.dir == "up" || opt.dir == "down") {//上下
objSize = obj.innerHeight();
scrollEvent = "scrollTop";
obj.css({ "padding-top": 0, "padding-bottom": 0 }).height(objSize);
}
else if (opt.dir == "left" || opt.dir == "right") {//左右
objSize = obj.innerWidth();
scrollEvent = "scrollLeft";
obj.css({ "padding-left": 0, "padding-right": 0 }).width(objSize);
}
else {
alert("你的dir参数有误");
}

var getChildTotalSize = function (dir) {// 定义获取li总尺寸的方法
if (dir == "left" || dir == "right") {
objLis.css("float", "left");
return function () {
objLis.each(function () {
liTotalSize += $(this).outerWidth(true);
});
}
}
else if (dir == "up" || dir == "down") {
objLis.css("float", "none");
return function () {
objLis.each(function () {
liTotalSize += $(this).outerHeight(true);
});
}
}
} (opt.dir);
getChildTotalSize(); //获得所有的li的总尺寸,在方法中赋值

(function () {
	if (liTotalSize>0)
	{
		var cloneCount = Math.ceil(objSize * 2 / liTotalSize); 
		//赋值子元素多少遍
		var cloneHtmlNow = "", cloneHtmlStart = obj.html(); //原始的子元素字符串		
		for (var i = 0; i < cloneCount; i++) {
		cloneHtmlNow += cloneHtmlStart;
		}
		obj.append(cloneHtmlNow);
		liTotalSizeOther = (cloneCount + 1) * liTotalSize; //获取添加了子元素之后的长度	
	}
})();


if (opt.dir == "left" || opt.dir == "right") {
obj.css({ "position": "relative", "z-index": 0 });
obj.children().css({ "position": "absolute", "z-index": 1 });
var left = 0;
obj.children().each(function () {
$(this).css({ "left": left + "px", "top": 0 });
left += $(this).outerWidth(true);
});
}


//滚动条的滚动方法
function scrollChange(dir) {
if (dir == "left" || dir == "up") {
obj[scrollEvent](0);
scrollChange = function () {
scrollSize++;
if (scrollSize >= liTotalSize) scrollSize = 0;
obj[scrollEvent](scrollSize);
}
}
else if (dir == "right" || dir == "down") {
scrollSizeMax = liTotalSizeOther - objSize;
obj[scrollEvent](scrollSizeMax);
scrollSize = scrollSizeMax;
scrollSizeMin = scrollSizeMax - liTotalSize;
scrollChange = function () {
scrollSize--;
if (scrollSize <= scrollSizeMin) scrollSize = scrollSizeMax;
obj[scrollEvent](scrollSize);
}
}
};
scrollChange(opt.dir);
interval = setInterval(scrollChange, opt.delay);
obj.children().on("mouseover", function () {
clearInterval(interval);
}).on("mouseleave", function () {
interval = setInterval(scrollChange, opt.delay);
});
}
})(jQuery); 

