﻿(function () {
    tinymce.create('tinymce.plugins.insertCodePlugin', {
        init: function (ed, url) {
            ed.addCommand('mceInsertCode', function () {
                ed.windowManager.open({
                    file: url + '/insertcode.htm',
                    width:480,
                    height:360,
                    inline: 1
                }, {
                    plugin_url: url
                });
            });

            ed.addButton('insertcode', {
                title: 'insert code',
                cmd: 'mceInsertCode', 
                image: url + '/img/code.png'
            });
        },

        getInfo: function () {
            return {
                longname: 'insert code',
                author: 'Timothy',
                authorurl: 'http://www.aspxadmin.com',
                infourl: 'http://www.aspxadmin.com',
                version: '1.0'
            };
        }
    });

    // Register plugin
    tinymce.PluginManager.add('insertcode', tinymce.plugins.insertCodePlugin);
})();