/*
** Indexes
*/
GO
/****** Object:  Index [IX_mvc_area]    Script Date: 2020-04-18 18:01:02 ******/
CREATE UNIQUE CLUSTERED INDEX [IX_mvc_area] ON [dbo].[mvc_area]
(
[areaid] ASC
) ON [PRIMARY]
GO
/****** Object:  Index [IX_mvc_catalog]    Script Date: 2020-04-18 18:01:02 ******/
CREATE UNIQUE CLUSTERED INDEX [IX_mvc_catalog] ON [dbo].[mvc_catalog]
(
[id] ASC
) ON [PRIMARY]
GO
/****** Object:  Index [mvc_ad_title]    Script Date: 2020-04-18 18:01:02 ******/
CREATE NONCLUSTERED INDEX [mvc_ad_title] ON [dbo].[mvc_ad]
(
[typeid] ASC
) ON [PRIMARY]
GO
SET ANSI_PADDING ON

GO
/****** Object:  Index [mvc_adtype_classen]    Script Date: 2020-04-18 18:01:02 ******/
CREATE NONCLUSTERED INDEX [mvc_adtype_classen] ON [dbo].[mvc_adtype]
(
[classen] ASC
) ON [PRIMARY]
GO
/****** Object:  Index [IX_mvc_area_1]    Script Date: 2020-04-18 18:01:02 ******/
CREATE NONCLUSTERED INDEX [IX_mvc_area_1] ON [dbo].[mvc_area]
(
[parentid] ASC
) ON [PRIMARY]
GO
/****** Object:  Index [IX_mvc_articlereply_articleid]    Script Date: 2020-04-18 18:01:02 ******/
CREATE NONCLUSTERED INDEX [IX_mvc_articlereply_articleid] ON [dbo].[mvc_articlereply]
(
[articleid] ASC
) ON [PRIMARY]
GO
/****** Object:  Index [IX_mvc_catalog_1]    Script Date: 2020-04-18 18:01:02 ******/
CREATE NONCLUSTERED INDEX [IX_mvc_catalog_1] ON [dbo].[mvc_catalog]
(
[parentid] ASC
) ON [PRIMARY]
GO
SET ANSI_PADDING ON

GO
/****** Object:  Index [mvc_class_classen]    Script Date: 2020-04-18 18:01:02 ******/
CREATE NONCLUSTERED INDEX [mvc_class_classen] ON [dbo].[mvc_class]
(
[classen] ASC
) ON [PRIMARY]
GO
SET ANSI_PADDING ON

GO
/****** Object:  Index [mvc_corp_classen]    Script Date: 2020-04-18 18:01:02 ******/
CREATE NONCLUSTERED INDEX [mvc_corp_classen] ON [dbo].[mvc_corp]
(
[classen] ASC
) ON [PRIMARY]
GO
/****** Object:  Index [mvc_info_adminid]    Script Date: 2020-04-18 18:01:02 ******/
CREATE NONCLUSTERED INDEX [mvc_info_adminid] ON [dbo].[mvc_info]
(
[adminid] ASC
) ON [PRIMARY]
GO
SET ANSI_PADDING ON

GO
/****** Object:  Index [mvc_info_title]    Script Date: 2020-04-18 18:01:02 ******/
CREATE NONCLUSTERED INDEX [mvc_info_title] ON [dbo].[mvc_info]
(
[title] ASC
) ON [PRIMARY]
GO
/****** Object:  Index [mvc_infopic_infoid]    Script Date: 2020-04-18 18:01:02 ******/
CREATE NONCLUSTERED INDEX [mvc_infopic_infoid] ON [dbo].[mvc_infopic]
(
[infoid] ASC
) ON [PRIMARY]
GO
/****** Object:  Index [mvc_infopart_infoid]    Script Date: 2021-09-18 18:01:02 ******/
CREATE NONCLUSTERED INDEX [mvc_infopart_infoid] ON [dbo].[mvc_infopart]
(
[infoid] ASC
) ON [PRIMARY]
GO
/****** Object:  Index [mvc_infodown_infoid]    Script Date: 2020-04-18 18:01:02 ******/
CREATE NONCLUSTERED INDEX [mvc_infodown_infoid] ON [dbo].[mvc_infodown]
(
[infoid] ASC
) ON [PRIMARY]
GO
/****** Object:  Index [IX_mvc_infoshou_userid]    Script Date: 2020-04-18 18:01:02 ******/
CREATE NONCLUSTERED INDEX [IX_mvc_infoshou_userid] ON [dbo].[mvc_infoshou]
(
[userid] ASC
) ON [PRIMARY]
GO
/****** Object:  Index [mvc_news_classid]    Script Date: 2020-04-18 18:01:02 ******/
CREATE NONCLUSTERED INDEX [mvc_news_classid] ON [dbo].[mvc_news]
(
[classid] ASC
) ON [PRIMARY]
GO
SET ANSI_PADDING ON

GO
/****** Object:  Index [mvc_news_classpath]    Script Date: 2020-04-18 18:01:02 ******/
CREATE NONCLUSTERED INDEX [mvc_news_classpath] ON [dbo].[mvc_news]
(
[classpath] ASC
) ON [PRIMARY]
GO
SET ANSI_PADDING ON

GO
/****** Object:  Index [mvc_zt_ztpinyin]    Script Date: 2020-04-18 18:01:02 ******/
CREATE NONCLUSTERED INDEX [mvc_zt_ztpinyin] ON [dbo].[mvc_zt]
(
[ztpinyin] ASC
) ON [PRIMARY]
GO
SET ANSI_PADDING ON

GO
/****** Object:  Index [mvc_zt_zttitle]    Script Date: 2020-04-18 18:01:02 ******/
CREATE NONCLUSTERED INDEX [mvc_zt_zttitle] ON [dbo].[mvc_zt]
(
[zttitle] ASC
) ON [PRIMARY]
GO
/****** Object:  Index [mvc_ztclass_ztid]    Script Date: 2020-04-18 18:01:02 ******/
CREATE NONCLUSTERED INDEX [mvc_ztclass_ztid] ON [dbo].[mvc_ztclass]
(
[ztid] ASC
) ON [PRIMARY]
GO
/****** Object:  Index [mvc_ztnews_ztclassid]    Script Date: 2020-04-18 18:01:02 ******/
CREATE NONCLUSTERED INDEX [mvc_ztnews_ztclassid] ON [dbo].[mvc_ztnews]
(
[ztclassid] ASC
) ON [PRIMARY]
GO
/****** Object:  Index [mvc_ztnews_ztid]    Script Date: 2020-04-18 18:01:02 ******/
CREATE NONCLUSTERED INDEX [mvc_ztnews_ztid] ON [dbo].[mvc_ztnews]
(
[ztid] ASC
) ON [PRIMARY]
GO
--жǷ mvc_info_title
if not  exists(select * from sysindexes where name='mvc_info_title')
CREATE  INDEX [mvc_info_title] ON [dbo].[mvc_info]([title]) ON [PRIMARY]
GO
if not  exists(select * from sysindexes where name='mvc_news_classid')
CREATE  INDEX [mvc_news_classid] ON [dbo].[mvc_news]([classid]) ON [PRIMARY]
GO
if not  exists(select * from sysindexes where name='mvc_news_classpath')
CREATE  INDEX [mvc_news_classpath] ON [dbo].[mvc_news]([classpath]) ON [PRIMARY]
GO
if not  exists(select * from sysindexes where name='mvc_news_infoid')
CREATE  INDEX [mvc_news_infoid] ON [dbo].[mvc_news]([infoid]) ON [PRIMARY]
GO
if not  exists(select * from sysindexes where name='mvc_infopic_infoid')
CREATE  INDEX [mvc_infopic_infoid] ON [dbo].[mvc_infopic]([infoid]) ON [PRIMARY]
GO
if not  exists(select * from sysindexes where name='mvc_infopart_infoid')
CREATE  INDEX [mvc_infopart_infoid] ON [dbo].[mvc_infopart]([infoid]) ON [PRIMARY]
GO
if not  exists(select * from sysindexes where name='mvc_tags_tag')
CREATE  INDEX [mvc_tags_tag] ON [dbo].[mvc_tags]([tag]) ON [PRIMARY]
GO
if not  exists(select * from sysindexes where name='mvc_tags_newsid')
CREATE  INDEX [mvc_tags_newsid] ON [dbo].[mvc_tags]([newsid]) ON [PRIMARY]
GO
if not  exists(select * from sysindexes where name='mvc_tagsnums_id')
CREATE  INDEX [mvc_tagsnums_id] ON [dbo].[mvc_tagsnums]([id]) ON [PRIMARY]
GO