/****** Object:  Table [dbo].[ipdata]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ipdata]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[ipdata](
[ip1] [float] NULL,
[ip2] [float] NULL,
[cityname] [nvarchar](255) NULL,
[address] [nvarchar](255) NULL
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[log_adminlogin]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[log_adminlogin]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[log_adminlogin](
[id] [int] IDENTITY(1,1) NOT NULL,
[adminuser] [nvarchar](50) NULL,
[adminjbname] [nvarchar](50) NULL,
[logmsg] [nvarchar](200) NULL,
[loginip] [varchar](50) NULL,
[logtime] [datetime] NULL
) ON [PRIMARY]

GO
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_log]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_log] (
[id] [int] IDENTITY (1, 1) NOT NULL ,
[logtype] [tinyint] NULL ,
[logjb] [tinyint] NULL ,
[username] [varchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
[cururl] [varchar] (150) COLLATE Chinese_PRC_CI_AS NULL ,
[fromurl] [varchar] (150) COLLATE Chinese_PRC_CI_AS NULL ,
[logcon] [ntext] COLLATE Chinese_PRC_CI_AS NULL ,
[logip] [varchar] (30) COLLATE Chinese_PRC_CI_AS NULL ,
[addtime] [datetime] NULL
) ON [PRIMARY]
GO
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_forbidip]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_forbidip] (
[id] [int] IDENTITY (1, 1) NOT NULL ,
[ip1] [varchar] (100) COLLATE Chinese_PRC_CI_AS NULL ,
[ip2] [varchar] (100) COLLATE Chinese_PRC_CI_AS NULL ,
[isusing] [bit] NULL
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[mvc_ad]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_ad]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_ad](
[id] [int] IDENTITY(1,1) NOT NULL,
[typeid] [int] NULL,
[subid] [int] NULL,
[adtitle] [nvarchar](120) NULL,
[adfile] [varchar](80) NULL,
[adlink] [varchar](80) NULL,
[adwidth] [int] NULL,
[adheight] [int] NULL,
[addes] [nvarchar](500) NULL,
[isshow] [tinyint] NULL,
[hits] [int] NULL,
[addtime] [datetime] NULL,
CONSTRAINT [PK_mvc_ad] PRIMARY KEY CLUSTERED
(
[id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_admin]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_admin]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_admin](
[id] [int] IDENTITY(1,1) NOT NULL,
[adminuser] [varchar](50) NULL,
[adminname] [nvarchar](50) NULL,
[adminpass] [varchar](66) NULL,
[jbid] [int] NULL,
[subid] [int] NULL,
[inputdate] [datetime] NULL,
[editdate] [datetime] NULL,
[lasttime] [datetime] NULL
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_adminjb]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_adminjb]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_adminjb](
[id] [int] IDENTITY(1,1) NOT NULL,
[jbname] [nvarchar](20) NULL,
[haosee] [bit] NULL,
[haoadd] [bit] NULL,
[haoedit] [bit] NULL,
[haomove] [bit] NULL,
[haodel] [bit] NULL,
[adminsee] [bit] NULL,
[adminadd] [bit] NULL,
[adminedit] [bit] NULL,
[admindel] [bit] NULL,
[ismanage] [bit] NULL,
[isnoshen] [bit] NULL,
[menus] [varchar](2000) NULL,
[classmenus] [varchar](2000) NULL
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_adminmenu]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_adminmenu]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_adminmenu](
[id] [int] NOT NULL,
[classname] [nvarchar](50) NULL,
[classen] [varchar](30) NULL,
[classdes] [nvarchar](50) NULL,
[parentid] [int] NULL,
[depth] [int] NULL,
[parentpath] [varchar](100) NULL,
[sortid] [int] NULL,
[isrefer] [bit] NULL,
[referurl] [varchar](150) NULL,
CONSTRAINT [PK_mvc_adminmenu] PRIMARY KEY CLUSTERED
(
[id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_adtype]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_adtype]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_adtype](
[id] [int] IDENTITY(1,1) NOT NULL,
[classname] [nvarchar](50) NULL,
[classen] [varchar](30) NULL,
[classdes] [nvarchar](50) NULL,
[adwidth] [int] NULL,
[adheight] [int] NULL,
[sortid] [int] NULL,
CONSTRAINT [PK_mvc_adtype] PRIMARY KEY CLUSTERED
(
[id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_area]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_area]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_area](
[areaid] [int] NOT NULL,
[cnname] [nvarchar](50) NULL,
[pinyin] [varchar](50) NULL,
[parentid] [int] NULL,
[depth] [int] NULL,
[parentpath] [varchar](100) NULL,
[sortid] [int] NULL
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_article]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_article]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_article](
[id] [int] IDENTITY(1,1) NOT NULL,
[userid] [int] NULL,
[title] [nvarchar](200) NULL,
[content] [ntext] NULL,
[isread] [tinyint] NULL,
[isreply] [tinyint] NULL,
[isshen] [tinyint] NULL,
[addtime] [datetime] NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[mvc_articlepic]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_articlepic]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_articlepic](
[id] [int] IDENTITY(1,1) NOT NULL,
[articleid] [int] NULL,
[picurl] [varchar](150) NULL,
[isshow] [bit] NULL
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_articlereply]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_articlereply]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_articlereply](
[id] [int] IDENTITY(1,1) NOT NULL,
[articleid] [int] NULL,
[reply] [nvarchar](3999) NULL,
[addtime] [datetime] NULL
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[mvc_catalog]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_catalog]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_catalog](
[id] [int] IDENTITY(1,1) NOT NULL,
[classname] [nvarchar](50) NULL,
[classen] [varchar](30) NULL,
[classdes] [nvarchar](50) NULL,
[parentid] [int] NULL,
[depth] [int] NULL,
[parentpath] [varchar](100) NULL,
[mobanen] [varchar](50) NULL,
[isshen] [tinyint] NULL,
[sortid] [int] NULL,
[isrefer] [bit] NULL,
[referurl] [varchar](150) NULL,
[fieldclassid] [int] NULL,
[bigclassen] [varchar](60) NULL
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_city]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_city]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_city](
[areaid] [int] IDENTITY(1,1) NOT NULL,
[cnname] [nvarchar](50) NULL,
[pinyin] [nvarchar](50) NULL,
[parentid] [int] NULL,
[depth] [int] NULL,
[parentpath] [varchar](100) NULL,
[sortid] [int] NULL
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_class]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_class]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_class](
[id] [int] IDENTITY(1,1) NOT NULL,
[classname] [nvarchar](50) NULL,
[classen] [varchar](30) NULL,
[classdes] [nvarchar](50) NULL,
[parentid] [int] NULL,
[depth] [int] NULL,
[parentpath] [varchar](100) NULL,
[mobanen] [varchar](50) NULL,
[isshen] [tinyint] NULL,
[isshow] [tinyint] NULL,
[ispic] [tinyint] NULL,
[isad] [tinyint] NULL,
[sortid] [int] NULL,
[isrefer] [bit] NULL,
[referurl] [varchar](150) NULL,
CONSTRAINT [PK_mvc_class] PRIMARY KEY CLUSTERED
(
[id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_companyinfo]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_companyinfo]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_companyinfo](
[id] [int] IDENTITY(1,1) NOT NULL,
[companyname] [nvarchar](100) NULL,
[simname] [nvarchar](50) NULL,
[address] [nvarchar](120) NULL,
[postcode] [varchar](20) NULL,
[tel] [varchar](50) NULL,
[fax] [varchar](50) NULL,
[email] [varchar](50) NULL,
CONSTRAINT [PK_mvc_companyinfo] PRIMARY KEY CLUSTERED
(
[id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_corp]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_corp]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_corp](
[id] [int] IDENTITY(1,1) NOT NULL,
[classname] [nvarchar](80) NULL,
[classen] [varchar](30) NULL,
[classtitle] [nvarchar](120) NULL,
[classkey] [nvarchar](80) NULL,
[classdes] [nvarchar](150) NULL,
[content] [ntext] NULL,
[map1] [varchar](80) NULL,
[map2] [varchar](80) NULL,
[parentid] [int] NULL,
[depth] [int] NULL,
[parentpath] [varchar](100) NULL,
[mobanen] [varchar](50) NULL,
[sortid] [int] NULL,
[isrefer] [bit] NULL,
[referurl] [varchar](150) NULL,
[hits] [int] NULL,
[addtime] [datetime] NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_corppic]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_corppic]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_corppic](
[id] [int] IDENTITY(1,1) NOT NULL,
[corpid] [int] NULL,
[picurl] [varchar](120) NULL,
[isshow] [bit] NULL,
CONSTRAINT [PK_mvc_corppic] PRIMARY KEY CLUSTERED
(
[id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_country]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_country]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_country](
[areaid] [int] NOT NULL,
[cnname] [nvarchar](50) NULL,
[pinyin] [varchar](50) NULL,
[parentid] [int] NULL,
[depth] [int] NULL,
[parentpath] [varchar](100) NULL,
[childclass] [varchar](8000) NULL,
[sortid] [int] NULL,
[istj] [bit] NULL,
CONSTRAINT [PK_mvc_country] PRIMARY KEY CLUSTERED
(
[areaid] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_dingyue]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_dingyue]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_dingyue](
[id] [int] IDENTITY(1,1) NOT NULL,
[contact] [nvarchar](50) NULL,
[email] [varchar](50) NULL,
[isding] [bit] NULL,
[addtime] [datetime] NULL,
CONSTRAINT [PK_mvc_dingyue] PRIMARY KEY CLUSTERED
(
[id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_down]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_down]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_down](
[id] [int] IDENTITY(1,1) NOT NULL,
[downname] [nvarchar](50) NULL,
[enname] [varchar](80) NULL,
[classid] [int] NULL,
[typeid] [int] NULL,
[downsize] [varchar](50) NULL,
[downurl] [varchar](120) NULL,
[hits] [int] NULL,
[addtime] [datetime] NULL,
[edittime] [datetime] NULL
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_downclass]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_downclass]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_downclass](
[id] [int] IDENTITY(1,1) NOT NULL,
[classname] [nvarchar](50) NULL,
[classen] [varchar](50) NULL,
[classdes] [nvarchar](50) NULL,
[sortid] [int] NULL
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_downtype]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_downtype]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_downtype](
[id] [int] IDENTITY(1,1) NOT NULL,
[classname] [nvarchar](50) NULL,
[classen] [varchar](50) NULL,
[classdes] [nvarchar](50) NULL,
[sortid] [int] NULL
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_hangye]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_hangye]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_hangye](
[id] [int] IDENTITY(1,1) NOT NULL,
[classname] [nvarchar](50) NULL,
[classen] [varchar](50) NULL,
[classdes] [nvarchar](500) NULL,
[sortid] [int] NULL
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_info]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_info]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_info](
[id] [int] IDENTITY(1,1) NOT NULL,
[jiantitle] [nvarchar](250) NULL,
[title] [nvarchar](250) NULL,
[subtitle] [nvarchar](250) NULL,
[hometitle] [nvarchar](100) NULL,
[content] [ntext] NOT NULL,
[contentpass] [ntext] NULL,
[contype] [tinyint] NULL,
[conprivate] [nvarchar](3999) NULL,
[conpswd] [varchar](32) NULL,
[froms] [nvarchar](50) NULL,
[fromsurl] [varchar](150) NULL,
[author] [nvarchar](50) NULL,
[reporter] [nvarchar](50) NULL,
[editer] [nvarchar](50) NULL,
[auditor] [nvarchar](50) NULL,
[keywords] [nvarchar](100) NULL,
[descriptions] [nvarchar](500) NULL,
[referurl] [varchar](150) NULL,
[isrefer] [bit] NULL,
[istj] [bit] NULL,
[ispic] [bit] NULL,
[showtype] [tinyint] NULL,
[picsmall] [varchar](120) NULL,
[picsmall2] [varchar](120) NULL,
[picsmall3] [varchar](120) NULL,
[isshow] [bit] NULL,
[ishead] [bit] NULL,
[iscopy] [bit] NULL,
[tvurl] [varchar](150) NULL,
[newslink] [varchar](80) NULL,
[prelink] [varchar](80) NULL,
[nextlink] [varchar](80) NULL,
[pretitle] [nvarchar] (160) NULL,
[nexttitle] [nvarchar] (160) NULL,   
[isshen] [tinyint] NULL,
[adminid] [int] NULL,
[iselec] [tinyint] NULL,
[elecnewsid] [int] NULL,
[goods] [int] NULL,
[hits] [int] NULL,
[addtime] [datetime] NULL,
[edittime] [datetime] NULL,
CONSTRAINT [PK_mvc_info] PRIMARY KEY CLUSTERED
(
[id] ASC
) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_infopic]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_infopic]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_infopic](
[id] [int] IDENTITY(1,1) NOT NULL,
[infoid] [int] NULL,
[picurl] [varchar](120) NULL,
[picname] [nvarchar](120) NULL,
[isshow] [bit] NULL,
CONSTRAINT [PK_mvc_infopic] PRIMARY KEY CLUSTERED
(
[id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_infopart]    Script Date: 2021-09-23 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_infopart]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_infopart](
[id] [int] IDENTITY(1,1) NOT NULL,
[infoid] [int] NULL,
[partsort] [int] NULL,
[partbody] [nvarchar](3999) NULL,
[match1] [varchar](600) NULL,
[match2] [nvarchar](3999) NULL,
CONSTRAINT [PK_mvc_infopart] PRIMARY KEY CLUSTERED
(
[id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[mvc_infodown]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_infodown]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_infodown](
[id] [int] IDENTITY(1,1) NOT NULL,
[infoid] [int] NULL,
[downurl] [varchar](120) NULL,
[downname] [nvarchar](120) NULL,
[isshow] [bit] NULL,
CONSTRAINT [PK_mvc_infodown] PRIMARY KEY CLUSTERED
(
[id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_infoshou]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_infoshou]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_infoshou](
[id] [int] IDENTITY(1,1) NOT NULL,
[userid] [int] NULL,
[newsid] [int] NULL,
[ztnewsid] [int] NULL,
CONSTRAINT [PK_mvc_infoshou] PRIMARY KEY CLUSTERED
(
[id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[mvc_jifensong]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_jifensong]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_jifensong](
[id] [int] IDENTITY(1,1) NOT NULL,
[userid] [int] NULL,
[typeid] [int] NULL,
[tempid] [varchar](50) NULL,
[jifen] [int] NULL,
[songdes] [nvarchar](200) NULL,
[issuc] [tinyint] NULL,
[addtime] [datetime] NULL
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_jifenuse]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_jifenuse]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_jifenuse](
[id] [int] IDENTITY(1,1) NOT NULL,
[userid] [int] NULL,
[typeid] [int] NULL,
[tempid] [varchar](50) NULL,
[jifen] [int] NULL,
[usedes] [nvarchar](200) NULL,
[addtime] [char](10) NULL
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_link]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_link]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_link](
[id] [int] IDENTITY(1,1) NOT NULL,
[linkname] [nvarchar](50) NULL,
[linkurl] [varchar](120) NULL,
[linklogo] [varchar](80) NULL,
[linktype] [tinyint] NULL,
[linkpage] [tinyint] NULL,
[hits] [int] NULL,
[sortid] [int] NULL,
[addtime] [datetime] NULL
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_menu]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_menu]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_menu](
[id] [int] IDENTITY(1,1) NOT NULL,
[subid] [int] NULL,
[classname] [nvarchar](80) NULL,
[classen] [varchar](120) NULL,
[parentid] [int] NULL,
[depth] [int] NULL,
[parentpath] [varchar](120) NULL,
[ismobile] [tinyint] NULL,
[sortid] [int] NULL
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_moban]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_moban]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_moban](
[id] [int] IDENTITY(1,1) NOT NULL,
[typeid] [int] NULL,
[classname] [nvarchar](50) NULL,
[classen] [varchar](50) NULL,
[classdes] [nvarchar](50) NULL,
[sortid] [int] NULL
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_msg]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_msg]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_msg](
[id] [int] IDENTITY(1,1) NOT NULL,
[contact] [nvarchar](50) NULL,
[email] [varchar](50) NULL,
[cityname] [nvarchar](50) NULL,
[company] [nvarchar](60) NULL,
[companyurl] [varchar](120) NULL,
[fromtxt] [nvarchar](150) NULL,
[tel] [varchar](50) NULL,
[des] [ntext] NULL,
[userip] [varchar](50) NULL,
[isreply] [bit] NULL,
[isshow] [bit] NULL,
[sessionid] [varchar](50) NULL,
[msgtype] [tinyint] NULL,
[addtime] [datetime] NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO

/****** Object:  Table [dbo].[mvc_msgreply]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_msgreply]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_msgreply](
[id] [int] IDENTITY(1,1) NOT NULL,
[msgid] [int] NULL,
[reply] [nvarchar](3000) NULL,
[addtime] [datetime] NULL
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[mvc_news]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_news]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_news](
[id] [int] IDENTITY(1,1) NOT NULL,
[userid] [int] NULL,
[subid] [int] NULL,
[classid] [int] NULL,
[ztid] [int] NULL,
[ztclassid] [int] NULL,
[infoid] [int] NULL,
[classpath] [varchar](80) NULL,
CONSTRAINT [PK_mvc_news] PRIMARY KEY CLUSTERED
(
[id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_ping]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_ping]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_ping](
[id] [int] IDENTITY(1,1) NOT NULL,
[newsid] [int] NULL,
[userid] [int] NULL,
[plsign] [nvarchar](50) NULL,
[plemail] [varchar](35) NULL,
[pldetail] [nvarchar](3999) NULL,
[plip] [varchar](32) NULL,
[plfrom] [nvarchar](50) NULL,
[plgood] [int] NULL,
[istj] [bit] NULL,
[isshen] [bit] NULL,
[iszt] [bit] NULL,
[isadmin] [bit] NULL,
[parentid] [int] NULL,
[hits] [int] NULL,
[addtime] [datetime] NULL,
CONSTRAINT [PK_mvc_ping] PRIMARY KEY CLUSTERED
(
[id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_pingreply]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_pingreply]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_pingreply](
[id] [int] IDENTITY(1,1) NOT NULL,
[pingid] [int] NULL,
[userid] [int] NULL,
[resign] [nvarchar](50) NULL,
[reply] [nvarchar](3999) NULL,
[reip] [varchar](32) NULL,
[refrom] [nvarchar](50) NULL,
[parentid] [int] NULL,
[addtime] [datetime] NULL,
CONSTRAINT [PK_mvc_pingreply] PRIMARY KEY CLUSTERED
(
[id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_seo]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_seo]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_seo](
[id] [int] IDENTITY(1,1) NOT NULL,
[classid] [int] NULL,
[title] [nvarchar](150) NULL,
[keywords] [nvarchar](150) NULL,
[description] [nvarchar](250) NULL
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[mvc_setting]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_setting]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_setting](
[id] [int] IDENTITY(1,1) NOT NULL,
[sitename] [nvarchar](50) NULL,
[sitedom] [varchar](50) NULL,
[logo] [varchar](80) NULL,
[logotype] [tinyint] NULL,
[icp] [varchar](50) NULL,
[declaration] [ntext] NULL,
[isfloat] [bit] NULL,
[isping] [bit] NULL,
[isshen] [bit] NULL,
[isjt] [bit] NULL,
[iscnjt] [bit] NULL,
[iszt] [bit] NULL,
[editor] [varchar](30) NULL,
[ismobile] [bit] NULL,
[isuserstyle] [bit] NULL,
[e_style] [varchar](50) NULL,
[m_style] [varchar](50) NULL,
[defaultpage] [varchar](50) NULL,
[qualitynum] [int] NULL,
[pagesize] [int] NULL,
[appversion] [varchar](50) NULL,
[mulattr] [varchar](200) NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_subarea]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_subarea]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_subarea](
[id] [int] IDENTITY(1,1) NOT NULL,
[classname] [nvarchar](50) NULL,
[classen] [varchar](50) NULL,
[classdes] [nvarchar](500) NULL,
[sortid] [int] NULL
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_upform]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_upform]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_upform](
[id] [int] IDENTITY(1,1) NOT NULL,
[userid] [int] NULL,
[formname] [nvarchar](50) NULL,
[formurl] [varchar](120) NULL,
[userip] [varchar](36) NULL,
[isreply] [tinyint] NULL,
[sessionid] [varchar](36) NULL,
[addtime] [datetime] NULL,
CONSTRAINT [PK_mvc_upform] PRIMARY KEY CLUSTERED
(
[id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_user]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_user]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_user](
[id] [int] IDENTITY(1,1) NOT NULL,
[user_en] [varchar](30) NULL,
[user_pwd] [varchar](36) NULL,
[user_que] [nvarchar](50) NULL,
[user_ans] [nvarchar](50) NULL,
[user_type] [tinyint] NULL,
[user_state] [tinyint] NULL,
[jbid] [tinyint] NULL,
[lastip] [varchar](36) NULL,
[logins] [int] NULL,
[addtime] [datetime] NULL,
[edittime] [datetime] NULL,
[lasttime] [datetime] NULL,
CONSTRAINT [PK_mvc_user] PRIMARY KEY CLUSTERED
(
[id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_userclass]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_userclass]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_userclass](
[userid] [int] NULL,
[classpath] [varchar](80) NULL
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_userjb]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_userjb]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_userjb](
[id] [int] IDENTITY(1,1) NOT NULL,
[jbname] [nvarchar](20) NULL,
[haoadd] [bit] NULL,
[haoedit] [bit] NULL,
[haodel] [bit] NULL,
[haomove] [bit] NULL,
[haofp] [bit] NULL,
[ismanage] [bit] NULL,
[delmanage] [bit] NULL
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[mvc_userpic]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_userpic]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_userpic](
[id] [int] IDENTITY(1,1) NOT NULL,
[userid] [int] NULL,
[zhengname] [nvarchar](50) NULL,
[zhengfrom] [nvarchar](50) NULL,
[starttime] [datetime] NULL,
[endtime] [datetime] NULL,
[picurl] [varchar](120) NULL,
[isshow] [bit] NULL,
[isphoto] [bit] NULL,
CONSTRAINT [PK_mvc_userpic] PRIMARY KEY CLUSTERED
(
[id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_userreg]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_userreg]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_userreg](
[id] [int] IDENTITY(1,1) NOT NULL,
[iscompany] [tinyint] NULL,
[userid] [int] NULL,
[cityid] [int] NULL,
[citypath] [varchar](50) NULL,
[realname] [nvarchar](50) NULL,
[companyname] [nvarchar](50) NULL,
[shopen] [varchar](50) NULL,
[usernick] [nvarchar](50) NULL,
[usersfz] [varchar](32) NULL,
[contact] [nvarchar](50) NULL,
[zhiwei] [nvarchar](50) NULL,
[part] [nvarchar](50) NULL,
[email] [varchar](30) NULL,
[tel] [varchar](50) NULL,
[fax] [varchar](50) NULL,
[mobile] [varchar](50) NULL,
[address] [nvarchar](120) NULL,
[postcode] [varchar](10) NULL,
[userqq] [varchar](30) NULL,
[userweb] [varchar](80) NULL,
[userlogo] [varchar](80) NULL,
[userdes] [nvarchar](800) NULL,
[detail] [ntext] NULL,
[jifen] [int] NULL,
[emailcode] [varchar](50) NULL,
[fuwu] [nvarchar](3999) NULL,
[httptype] [tinyint] NULL,
[shophost] [varchar](50) NULL,
[shoptese] [nvarchar](3999) NULL,
[cityname] [nvarchar](100) NULL,
[shoplink] [varchar](80) NULL,
[hangye] [int] NULL,
[zhiwu] [nvarchar](50) NULL,
[xueli] [nvarchar](50) NULL,
[hits] [int] NULL,
CONSTRAINT [PK_mvc_userreg] PRIMARY KEY CLUSTERED
(
[id] ASC
) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_zt]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_zt]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_zt](
[id] [int] IDENTITY(1,1) NOT NULL,
[zttitle] [nvarchar](250) NULL,
[ztpinyin] [varchar](30) NULL,
[ztdes] [nvarchar](450) NULL,
[mobanhome] [varchar](30) NULL,
[mobanlist] [varchar](30) NULL,
[mobanview] [varchar](30) NULL,
[picsmall] [varchar](80) NULL,
[referurl] [varchar](120) NULL,
[addtime] [datetime] NULL,
[edittime] [datetime] NULL,
CONSTRAINT [PK_mvc_zt] PRIMARY KEY CLUSTERED
(
[id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_ztclass]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_ztclass]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_ztclass](
[id] [int] IDENTITY(1,1) NOT NULL,
[ztid] [int] NULL,
[classname] [nvarchar](50) NULL,
[classen] [nvarchar](50) NULL,
[mobanen] [varchar](50) NULL,
[classdes] [nvarchar](50) NULL,
[sortid] [int] NULL,
CONSTRAINT [PK_mvc_ztclass] PRIMARY KEY CLUSTERED
(
[id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[mvc_ztnews]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_ztnews]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_ztnews](
[id] [int] IDENTITY(1,1) NOT NULL,
[ztid] [int] NULL,
[ztclassid] [int] NULL,
[infoid] [int] NULL,
CONSTRAINT [PK_mvc_ztnews] PRIMARY KEY CLUSTERED
(
[id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[reporter]    Script Date: 2020-04-18 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[reporter]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[reporter](
[id] [int] IDENTITY(1,1) NOT NULL,
[newsname] [nvarchar](50) NULL,
[newstype] [tinyint] NULL,
[company] [nvarchar](50) NULL,
[zhiwu] [nvarchar](50) NULL,
[jobtime] [datetime] NULL,
[sex] [nvarchar](2) NULL,
[zhengname] [nvarchar](50) NULL,
[zhengnum] [varchar](50) NULL,
[zhengpic] [varchar](120) NULL,
[zhengstart] [datetime] NULL,
[zhengdate] [datetime] NULL,
[zhexpired] [tinyint] NULL,
[licencenum] [varchar](50) NULL,
[licencepic] [varchar](120) NULL,
[licencestart] [datetime] NULL,
[licencedate] [datetime] NULL,
[liexpired] [tinyint] NULL,
[addtime] [datetime] NULL
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[mvc_tags]    Script Date: 2021-05-30 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_tags]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_tags](
[id] [int] IDENTITY(1,1) NOT NULL,
[newsid] [int] NULL,
[tag] [nvarchar](100) NULL
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[mvc_tagsnums]    Script Date: 2021-05-30 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_tagsnums]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_tagsnums](
[id] [int] IDENTITY(1,1) NOT NULL,
[tag] [nvarchar](100) NULL,
[nums] [int] NULL
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[mvc_tags]    Script Date: 2023-03-20 18:01:02 ******/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mvc_classcount]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[mvc_classcount](
[id] [int] IDENTITY(1,1) NOT NULL,
[classid] [int] NULL,
[counts] [int] NULL
) ON [PRIMARY]
GO