﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl" %>
<%string webd = Fun.Webdirectory; %>
<script type="text/javascript" src="<%=webd%>editors/tiny_mce3.5/tiny_mce.js"></script>
<script type="text/javascript">
    var editorpath = "<%=webd%>editors/"
    var editor_id = "content_txt";
    tinyMCE.init({
        mode: "exact", elements: editor_id, language: "zh",
        theme: "advanced",
        //工具栏
        //相应 内联弹出式窗口,全屏,上下文菜单,图片,清理,表情,表格
        plugins: "fullscreen,emotions,table,preview,pagebreak,advimage,paste,visualchars,xhtmlxtras",
        //plugins: "pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template,wordcount,advlist,autosave",
        theme_advanced_buttons1: "fullscreen,code,table,bold,italic,underline,strikethrough,justifyleft,justifycenter,justifyright,justifyfull",
       // theme_advanced_buttons2: "link,unlink,sub,sup,removeformatcleanup,charmap,emotions,table,image,separator,formatselect,fontselect,fontsizeselect,preview,pastetext,pasteword,selectall",
        theme_advanced_buttons3: "",
        button_tile_map: false,
        theme_advanced_toolbar_location: "top", //编辑器在顶部
        theme_advanced_toolbar_align: "left", //工具栏按钮靠左
        theme_advanced_statusbar_location: "bottom", //状态栏显示底部	
        plugin_insertdate_dateFormat: "%Y-%m-%d",
        plugin_insertdate_timeFormat: "%H:%M:%S",
       // extended_valid_elements: "hr[class|width|size|noshade],font[face|size|color|style],span[class|align|style],script[charset|defer|language|src|type],code,iframe[src|width|height|frameborder|name|style],img[src|width|height|alt|name|style]",
        extended_valid_elements: "hr[class|width|size|noshade],span[class|align|style],code,img[src|width|height|alt|name|style]",
        theme_advanced_resizing: true, //可以动态调整编辑器大小
        paste_auto_cleanup_on_paste: false,
        //  skin: "o2k7",
        auto_cleanup_word: true,
        file_browser_callback: "fileBrowserCallBack",
        //file_browser_callback : "myCustomFileBrowser",
        theme_advanced_resize_horizontal: true, //水平调整编辑器
        theme_advanced_resizing: true, //调整开关	
        nonbreaking_force_tab: true,
        apply_source_formatting: true,
        relative_urls: false,
        convert_urls: false,
		setup : function(ed) {
          ed.onClick.add(function(ed, e) {
           content_click();
        });
   }

    });

    //功能：获取TinyMce编辑器的内容
    //返回：内容字符串；如果失败，返回空字符串
    function GetTinyMceContent(editorId) {
        return tinyMCE.getInstanceById(editorId).getBody().innerHTML;
    }
    function stripscript(s) {
        return s.replace(/<script.*?>.*?<\/script>/ig, '');
    } 
    //功能：设置TinyMce编辑器的内容
    //参数：editorId——编辑器的id
    function SetTinyMceContent(editorId, content) {
        tinyMCE.getInstanceById(editorId).getBody().innerHTML = content;
    }
    function GetContent() {
        return GetTinyMceContent(editor_id);
    }
    function SetContent(content) {
        SetTinyMceContent(editor_id, content);
    }
    //插入内容
    function InsertContent(content) {
        tinyMCE.execCommand('mceInsertRawHTML', false, content);

    }
    function InsertImage() {
        tinyMCE.execCommand('mceImage', false, null);
    }        
</script>
<%
    string content = "";
    string nomsg = "0";
	content=ViewData["content"].ToString();
 %>
<textarea name="content_txt" id="content_txt" title="<%=nomsg%>" style="width:100%;height:300px;" ><%=content%></textarea>
<script  type="text/javascript">
	function content_click()
	{
	  if ($("#content_txt").attr("title")=="1")
	  {
		SetContent('');
		$("#content_txt").attr("title","0");
	  }
	}
</script>
