﻿tinyMCEPopup.requireLangPack();


var HtmlUtil = {
       /*1.用正则表达式实现html转码*/
      htmlEncodeByRegExp:function (str){  
           var s = "";
           if(str.length == 0) return "";
           s = str.replace(/&/g,"&amp;");
           s = s.replace(/</g,"&lt;");
           s = s.replace(/>/g,"&gt;");
           //s = s.replace(/ /g,"&nbsp;");
           s = s.replace(/\'/g,"&#39;");
           s = s.replace(/\"/g,"&quot;");
           return s;  
     },
     /*2.用正则表达式实现html解码*/
     htmlDecodeByRegExp:function (str){  
           var s = "";
           if(str.length == 0) return "";
           s = str.replace(/&amp;/g,"&");
           s = s.replace(/&lt;/g,"<");
           s = s.replace(/&gt;/g,">");
           s = s.replace(/&nbsp;/g," ");
           s = s.replace(/&#39;/g,"\'");
           s = s.replace(/&quot;/g,"\"");
           return s;  
     }
  };
var InsertCodeDialog = {
    init: function () {
        document.forms[0].code.value = tinyMCEPopup.editor.selection.getContent({ format: 'text' });
    },

    insert: function () {

        var select = document.getElementById("languages");
        var language = select.options[select.selectedIndex].value;
        var code = document.forms[0].code.value;

        code=HtmlUtil.htmlEncodeByRegExp(code);

        if (language == "") {
            alert(document.getElementById("languagealert").value);
            return;
        }
        if (code.replace(/(^\s*)|(\s*$)/g, "") == "") {
            alert(document.getElementById("codealert").value);
            return;
        }

        var html = "<pre class=\"brush:" + language + ";";

       // if (document.getElementById("collapse").checked == true) {
			//console.log("1");
        //    html += "collapse:true;";
     //   }

       // if (document.getElementById("show-line-number").checked == true) {
			//console.log("2");
         //   html += "gutter:true;";
      //  }

        html += "\">" + code + "</pre><p></p>";
		//console.log(html);
		//return;

        tinyMCEPopup.editor.execCommand('mceInsertContent', false, html);
        tinyMCEPopup.close();
    }
};

tinyMCEPopup.onInit.add(InsertCodeDialog.init, InsertCodeDialog);
